## org.springframework.web.multipart.support
Class MissingServletRequestPartException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.multipart.support.MissingServletRequestPartException

All Implemented Interfaces:
  Serializable

    public class MissingServletRequestPartException

extends ServletException

Raised when the part of a "multipart/form-data" request identified by its name cannot be found.

This may be because the request is not a multipart/form-data either because the part is not present in the request, or because the web application is not configured correctly for processing multipart requests -- e.g. no `MultipartResolver`.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  Serialized Form

Constructor Summary
`MissingServletRequestPartException(String partName)`

Method Summary
`String` `getRequestPartName()`

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingServletRequestPartException

    public MissingServletRequestPartException(String partName)

Method Detail

### getRequestPartName

    public String getRequestPartName()